Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface ZSetOperations<K,V>

    public interface ZSetOperations<K,V>

Redis ZSet/sorted set specific operations.

Nested Class Summary
`static interface` | `ZSetOperations.TypedTuple<V>` Typed ZSet tuple.

Method Summary
`Long` | `add(K key, Set<ZSetOperations.TypedTuple<V>> tuples)`
`Boolean` | `add(K key, V value, double score)`
`Long` | `count(K key, double min, double max)`
`RedisOperations<K,V>` | `getOperations()`
`Double` | `incrementScore(K key, V value, double delta)`
`Long` | `intersectAndStore(K key, Collection<K> otherKeys, K destKey)`
`Long` | `intersectAndStore(K key, K otherKey, K destKey)`
`Set<V>` | `range(K key, long start, long end)`
`Set<V>` | `rangeByScore(K key, double min, double max)`
`Set<V>` | `rangeByScore(K key, double min, double max, long offset, long count)`
`Set<ZSetOperations.TypedTuple<V>>` | `rangeByScoreWithScores(K key, double min, double max)`
`Set<ZSetOperations.TypedTuple<V>>` | `rangeByScoreWithScores(K key, double min, double max, long offset, long count)`
`Set<ZSetOperations.TypedTuple<V>>` | `rangeWithScores(K key, long start, long end)`
`Long` | `rank(K key, Object o)`
`Long` | `remove(K key, Object... values)`
`Long` | `removeRange(K key, long start, long end)`
`Long` | `removeRangeByScore(K key, double min, double max)`
`Set<V>` | `reverseRange(K key, long start, long end)`
`Set<V>` | `reverseRangeByScore(K key, double min, double max)`
`Set<V>` | `reverseRangeByScore(K key, double min, double max, long offset, long count)`
`Set<ZSetOperations.TypedTuple<V>>` | `reverseRangeByScoreWithScores(K key, double min, double max)`
`Set<ZSetOperations.TypedTuple<V>>` | `reverseRangeByScoreWithScores(K key, double min, double max, long offset, long count)`
`Set<ZSetOperations.TypedTuple<V>>` | `reverseRangeWithScores(K key, long start, long end)`
`Long` | `reverseRank(K key, Object o)`
`Double` | `score(K key, Object o)`
`Long` | `size(K key)`
`Long` | `unionAndStore(K key, Collection<K> otherKeys, K destKey)`
`Long` | `unionAndStore(K key, K otherKey, K destKey)`

Method Detail

### intersectAndStore

    Long intersectAndStore(K key,
                           K otherKey,
                           K destKey)

### intersectAndStore

    Long intersectAndStore(K key,
                           Collection<K> otherKeys,
                           K destKey)

### unionAndStore

    Long unionAndStore(K key,
                       K otherKey,
                       K destKey)

### unionAndStore

    Long unionAndStore(K key,
                       Collection<K> otherKeys,
                       K destKey)

### range

    Set<V> range(K key,
                 long start,
                 long end)

### reverseRange

    Set<V> reverseRange(K key,
                        long start,
                        long end)

### rangeWithScores

    Set<ZSetOperations.TypedTuple<V>> rangeWithScores(K key,
                                                      long start,
                                                      long end)

### reverseRangeWithScores

    Set<ZSetOperations.TypedTuple<V>> reverseRangeWithScores(K key,
                                                             long start,
                                                             long end)

### rangeByScore

    Set<V> rangeByScore(K key,
                        double min,
                        double max)

### rangeByScore

    Set<V> rangeByScore(K key,
                        double min,
                        double max,
                        long offset,
                        long count)

### reverseRangeByScore

    Set<V> reverseRangeByScore(K key,
                               double min,
                               double max)

### reverseRangeByScore

    Set<V> reverseRangeByScore(K key,
                               double min,
                               double max,
                               long offset,
                               long count)

### rangeByScoreWithScores

    Set<ZSetOperations.TypedTuple<V>> rangeByScoreWithScores(K key,
                                                             double min,
                                                             double max)

### rangeByScoreWithScores

    Set<ZSetOperations.TypedTuple<V>> rangeByScoreWithScores(K key,
                                                             double min,
                                                             double max,
                                                             long offset,
                                                             long count)

### reverseRangeByScoreWithScores

    Set<ZSetOperations.TypedTuple<V>> reverseRangeByScoreWithScores(K key,
                                                                    double min,
                                                                    double max)

### reverseRangeByScoreWithScores

    Set<ZSetOperations.TypedTuple<V>> reverseRangeByScoreWithScores(K key,
                                                                    double min,
                                                                    double max,
                                                                    long offset,
                                                                    long count)

### add

    Boolean add(K key,
                V value,
                double score)

### add

    Long add(K key,
             Set<ZSetOperations.TypedTuple<V>> tuples)

### incrementScore

    Double incrementScore(K key,
                          V value,
                          double delta)

### rank

    Long rank(K key,
              Object o)

### reverseRank

    Long reverseRank(K key,
                     Object o)

### score

    Double score(K key,
                 Object o)

### remove

    Long remove(K key,
                Object... values)

### removeRange

    Long removeRange(K key,
                     long start,
                     long end)

### removeRangeByScore

    Long removeRangeByScore(K key,
                            double min,
                            double max)

### count

    Long count(K key,
               double min,
               double max)

### size

    Long size(K key)

### getOperations

    RedisOperations<K,V> getOperations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD